## pdudaemon 0.0.7

=== requirements.txt ===
pexpect
requests
systemd_python
paramiko
pyserial
setuptools
hidapi

=== debian/changelog ===
pdudaemon (0.0.7-2) unstable; urgency=medium

  * Add conflict on lavapdu-client which contains the same binary
    (Closes: #914803)

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 03 Feb 2019 22:59:32 +0100

pdudaemon (0.0.7-1) unstable; urgency=medium

  [ Matt Hart ]
  * Renamed to pdudaemon

  [ Sjoerd Simons ]
  * Drop "old" uploaders from lava-pdudaemon apart from Matt
  * Run depends through wrap-and-sort
  * Update build-dependencies
  * Update standards-version to 4.2.0
  * Improve descriptions of the packages
  * Simplify install files
  * Drop postinst/preinst scripts, as opposed to lavapdu pdudaemon doesn't
    need a postgres database
  * New upstream release (0.0.7)

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 04 Nov 2018 22:02:54 +0100

lavapdu (0.0.5-2) unstable; urgency=medium

  * Add Senthil Kumaran S (stylesen) as an uploader.

 -- Senthil Kumaran S (stylesen) <stylesen@gmail.com>  Tue, 08 Sep 2015 22:18:03 +0530

lavapdu (0.0.5-1) unstable; urgency=medium

  * New upstream release
  * Support old and new python-lockfile API for
    trusty and jessie-backports support. (Closes: #789552)

 -- Neil Williams <codehelp@debian.org>  Wed, 01 Jul 2015 20:58:45 +0100

lavapdu (0.0.4-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Neil Williams <codehelp@debian.org>  Fri, 15 May 2015 11:54:29 +0100

lavapdu (0.0.4-2) unstable; urgency=medium

  * Migrate into unstable for stretch. Update watch file.

 -- Neil Williams <codehelp@debian.org>  Fri, 01 May 2015 16:28:51 +0100

lavapdu (0.0.4-1) experimental; urgency=medium

  [ Matt Hart ]
  * new upstream release

  [ Neil Williams ]
  * Remove old watch.ex file and add dh-python to build-depends.
  * Expand manpage for lavapdu-runner to cover upstream changes to the
    configuration file.

 -- Neil Williams <codehelp@debian.org>  Thu, 19 Mar 2015 10:52:46 +0000

lavapdu (0.0.3-3) unstable; urgency=low

  * Add telnet as a dependency of lavapdu-daemon
  * Update standards version, no changes

 -- Neil Williams <codehelp@debian.org>  Wed, 08 Oct 2014 15:48:12 +0100

lavapdu (0.0.3-2) unstable; urgency=medium

  * Apply upstream fix to init scripts to ensure
    daemon starts after postgresql. (Closes: #754788)

 -- Neil Williams <codehelp@debian.org>  Tue, 29 Jul 2014 21:02:35 +0100

lavapdu (0.0.3-1) unstable; urgency=medium

  * Initial release. (Closes: #747353: ITP: lavapdu -- LAVA PDU client
    and daemon)

 -- Neil Williams <codehelp@debian.org>  Wed, 07 May 2014 20:03:41 +0100

lavapdu (0.0.2-2) unstable; urgency=medium

  * Split out the pduclient script to allow a single daemon to be
    controlled from multiple devices.

 -- Neil Williams <codehelp@debian.org>  Sun, 16 Mar 2014 14:16:33 +0000

lavapdu (0.0.2-1) unstable; urgency=medium

  * New upstream release

 -- Neil Williams <codehelp@debian.org>  Mon, 20 Jan 2014 10:22:20 +0000

lavapdu (0.0.1-2) unstable; urgency=medium

  * Rename lavapdu-listener to lavapdu-listen
  * Update copyright file

 -- Neil Williams <codehelp@debian.org>  Thu, 12 Dec 2013 11:34:25 +0000

lavapdu (0.0.1-1) unstable; urgency=low

  [ Matthew Hart ]
  * Initial packaging for Linaro PPA.

  [ Neil Williams ]
  * Migrate packaging to alioth

 -- Matthew Hart <matthew.hart@linaro.org>  Thu, 22 Aug 2013 10:41:45 +0100

=== debian/control ===
Source: pdudaemon
Section: net
Priority: optional
Maintainer: Matt Hart <matt@mattface.org>
Uploaders: Matt Hart <matt@mattface.com>,
           Sjoerd Simons <sjoerd@debian.org>
Build-Depends: debhelper (>= 10.0.0),
               dh-python,
               docbook-xml,
               docbook-xsl,
               python3,
               python3-all,
               python3-hid,
               python3-paramiko,
               python3-pexpect,
               python3-requests,
               python3-serial,
               python3-setuptools,
               python3-systemd,
               xsltproc
Standards-Version: 4.2.0
Homepage: http://github.com/pdudaemon
Vcs-Git: https://github.com/pdudaemon/pkg-pdudaemon.git
Vcs-Browser: https://github.com/pdudaemon/pkg-pdudaemon

Package: pdudaemon
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: daemon for controlling PDUs
 Pdudaemon provides a standard way of controlling power controllers,
 which can either be local devices or networked PDUs. On top of that it ensures
 the control commands to the PDU are executed sequentially to avoid issues with
 many PDUs in handling multiple parallel requests.
 .
 This package provides the daemon

Package: pdudaemon-client
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Conflicts: lavapdu-client
Description: client for pdudaemon
 Pdudaemon provides a standard way of controlling power controllers,
 which can either be local devices or networked PDUs. On top of that it ensures
 the control commands to the PDU are executed sequentially to avoid issues with
 many PDUs in handling multiple parallel requests.
 .
 This package provides the client

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
opts=filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%pdudaemon-$1.tar.gz% \
http://github.com/pdudaemon/pdudaemon/tags  .*/v?(\d\S+)\.tar\.gz

## pdudaemon 0.0.8.24.gc43c5d8

=== requirements.txt ===
--- 
+++ 
@@ -5,3 +5,6 @@
 pyserial
 setuptools
 hidapi
+pysnmp
+pyasn1
+pyusb

=== debian/changelog ===
pdudaemon (0.0.8.24.gc43c5d8-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + pdudaemon-client: Add Multi-Arch: foreign.

  [ Sjoerd Simons ]
  * New upstream git snapshot
  * Add telnet and ssh-client to recommends, some drivers use them 
    (Closes: #965170)

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 30 Jan 2021 16:54:28 +0100

=== debian/control ===
--- 
+++ 
@@ -13,10 +13,13 @@
                python3-hid,
                python3-paramiko,
                python3-pexpect,
+               python3-pysnmp4,
+               python3-pytest,,
                python3-requests,
                python3-serial,
                python3-setuptools,
                python3-systemd,
+               python3-usb,
                xsltproc
 Standards-Version: 4.2.0
 Homepage: http://github.com/pdudaemon
@@ -27,6 +30,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends}
+Recommends: telnet, openssh-client
 Description: daemon for controlling PDUs
  Pdudaemon provides a standard way of controlling power controllers,
  which can either be local devices or networked PDUs. On top of that it ensures
@@ -39,6 +43,7 @@
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}
 Conflicts: lavapdu-client
+Multi-Arch: foreign
 Description: client for pdudaemon
  Pdudaemon provides a standard way of controlling power controllers,
  which can either be local devices or networked PDUs. On top of that it ensures

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Prevent setuptools/distribute from accessing the internet.
export http_proxy = http://127.0.9.1:9

DB2MAN = /usr/share/sgml/docbook/stylesheet/xsl/docbook-xsl/manpages/docbook.xsl
XP     = xsltproc -''-nonet -''-param man.charmap.use.subset "0"

# This has to be exported to make some magic below work.
export DH_OPTIONS

export PYBUILD_INSTALL_ARGS=--install-script /usr/sbin

%:
	dh $@ --with python3 --buildsystem pybuild --with systemd

override_dh_installinit:
	dh_systemd_enable -ppdudaemon --name=pdudaemon share/pdudaemon.service
	dh_installinit -ppdudaemon --no-start --noscripts
	dh_systemd_start -ppdudaemon --no-restart-on-upgrade

override_dh_auto_install:
	dh_auto_install
	$(XP) $(DB2MAN) debian/pdudaemon.xml
	$(XP) $(DB2MAN) debian/pduclient.xml
	dh_installman -ppdudaemon pdudaemon.8
	dh_installman -ppdudaemon-client pduclient.1

override_dh_auto_clean:
	dh_auto_clean
	find . -name '__pycache__/*.pyc' -delete
	$(RM) -r pdudaemon.egg-info setup.cfg dist/ pdudaemon.8
	$(RM) -r build/ pduclient.1 debian/pdudeamon

## pdudaemon 0.0.8.50.g9f3f0cb

=== debian/changelog ===
pdudaemon (0.0.8.50.g9f3f0cb-1) unstable; urgency=medium

  * New upstream version 0.0.8.50.g9f3f0cb
  * update to debhelper 13
  * Update build-dependencies

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 24 Aug 2022 21:59:52 +0200

pdudaemon (0.0.8.30.g74aba7c-1) experimental; urgency=medium

  * Branch for experimental
  * New upstream version 0.0.8.30.g74aba7c

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 02 Apr 2021 14:49:22 +0200

## pdudaemon 0.0.8.58.g597052b

=== requirements.txt ===
aiohttp
pexpect
requests
systemd_python
paramiko
pyserial
setuptools
hidapi
pysnmp
pyasn1
pyusb
pytest
pytest-mock

=== debian/changelog ===
pdudaemon (0.0.8.58.g597052b-1+deb12u1) bookworm; urgency=medium

  * Non-maintainer upload.
  * Add dependency on python3-aiohttp.  (Closes: #1060768)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 19 Apr 2024 09:40:49 +0200

pdudaemon (0.0.8.58.g597052b-1) unstable; urgency=medium

  * New upstream version 0.0.8.58.g597052b

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 11 Dec 2022 15:53:46 +0100

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,19 @@
 Maintainer: Matt Hart <matt@mattface.org>
 Uploaders: Matt Hart <matt@mattface.com>,
            Sjoerd Simons <sjoerd@debian.org>
-Build-Depends: debhelper (>= 10.0.0),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                docbook-xml,
                docbook-xsl,
                python3,
+               python3-aiohttp,
                python3-all,
                python3-hid,
                python3-paramiko,
                python3-pexpect,
                python3-pysnmp4,
-               python3-pytest,,
+               python3-pytest,
+               python3-pytest-mock,
                python3-requests,
                python3-serial,
                python3-setuptools,
@@ -29,6 +31,7 @@
 Package: pdudaemon
 Architecture: all
 Depends: ${misc:Depends},
+         python3-aiohttp,
          ${python3:Depends}
 Recommends: telnet, openssh-client
 Description: daemon for controlling PDUs

=== debian/rules ===
--- 
+++ 
@@ -21,12 +21,10 @@
 export PYBUILD_INSTALL_ARGS=--install-script /usr/sbin
 
 %:
-	dh $@ --with python3 --buildsystem pybuild --with systemd
+	dh $@ --with python3 --buildsystem pybuild
 
-override_dh_installinit:
-	dh_systemd_enable -ppdudaemon --name=pdudaemon share/pdudaemon.service
-	dh_installinit -ppdudaemon --no-start --noscripts
-	dh_systemd_start -ppdudaemon --no-restart-on-upgrade
+override_dh_instalsystemd:
+	dh_install_systemd -ppdudaemon --name=pdudaemon --no-restart-on-upgrade share/pdudaemon.service
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4
opts="mode=git, gitmode=full, pretty=describe" \
http://github.com/pdudaemon/pdudaemon \
HEAD debian

## pdudaemon 0.0.8.109.gaa25f15

=== debian/changelog ===
pdudaemon (0.0.8.109.gaa25f15-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Install systemd unit into canonical location. (Closes: #1073620)

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 25 Jul 2024 20:23:54 +0200

pdudaemon (0.0.8.109.gaa25f15-2) unstable; urgency=medium

  * Rebuild for source-only upload

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 13 Apr 2024 08:17:11 +0200

pdudaemon (0.0.8.109.gaa25f15-1) unstable; urgency=medium

  * New upstream version 0.0.8.109.gaa25f15
  * Fixes compatibility with python 3.12 (Closes: #1058396)
  * Run wrap-and-sort
  * debian/rules: Drop PYBUILD_INSTALL_ARGS, they don't seem to apply when
    using pyproject
  * debian/control: Add b-d on pybuild-plugin-pyproject as pdudaemon shifted
    to pyproject.
  * debian/pdudaemon.install: Move pdudaemon to usr/sbin to keep consistency
    with previous versions, rather then relying on the build system to do so

 -- Sjoerd Simons <sjoerd@debian.org>  Thu, 11 Apr 2024 20:20:08 +0200

pdudaemon (0.0.8.81.gaa63a79-1) unstable; urgency=medium

  [ Andrej Shadura ]
  * Drop pydist-overrides not relevant for Python 3
  * Drop http_proxy overrride, done by pybuild automatically

  [ Sjoerd Simons ]
  * Drop misnamed dh_instalsystemd override
  * update manpages (Closes: #1055219)
  * New upstream version 0.0.8.81.gaa63a79
    - Updated dependency list in setup.py: (Closes: #1055220)
  * Switch telnet dependency to telnet | telnet-client (Closes: #1016855)

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 04 Nov 2023 15:21:51 +0100

pdudaemon (0.0.8.79.gd61cf06-1) unstable; urgency=medium

  * New upstream version 0.0.8.79.gd61cf06

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 29 Oct 2023 08:55:59 +0100

=== debian/control ===
--- 
+++ 
@@ -2,27 +2,26 @@
 Section: net
 Priority: optional
 Maintainer: Matt Hart <matt@mattface.org>
-Uploaders: Matt Hart <matt@mattface.com>,
-           Sjoerd Simons <sjoerd@debian.org>
+Uploaders: Matt Hart <matt@mattface.com>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               docbook-xml,
-               docbook-xsl,
+               pybuild-plugin-pyproject,
                python3,
                python3-aiohttp,
                python3-all,
                python3-hid,
                python3-paramiko,
                python3-pexpect,
+               python3-pymodbus,
                python3-pysnmp4,
                python3-pytest,
                python3-pytest-mock,
                python3-requests,
                python3-serial,
+               python3-serial-asyncio,
                python3-setuptools,
                python3-systemd,
-               python3-usb,
-               xsltproc
+               python3-usb
 Standards-Version: 4.2.0
 Homepage: http://github.com/pdudaemon
 Vcs-Git: https://github.com/pdudaemon/pkg-pdudaemon.git
@@ -30,10 +29,8 @@
 
 Package: pdudaemon
 Architecture: all
-Depends: ${misc:Depends},
-         python3-aiohttp,
-         ${python3:Depends}
-Recommends: telnet, openssh-client
+Depends: ${misc:Depends}, ${python3:Depends}
+Recommends: openssh-client, telnet | telnet-client
 Description: daemon for controlling PDUs
  Pdudaemon provides a standard way of controlling power controllers,
  which can either be local devices or networked PDUs. On top of that it ensures

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

%:
	dh $@ --with python3 --buildsystem pybuild

override_dh_auto_install:
	dh_auto_install
	dh_installman -ppdudaemon debian/pdudaemon.8
	dh_installman -ppdudaemon-client debian/pduclient.1

override_dh_auto_clean:
	dh_auto_clean
	find . -name '__pycache__/*.pyc' -delete
	$(RM) -r pdudaemon.egg-info setup.cfg dist/ pdudaemon.8
	$(RM) -r build/ pduclient.1 debian/pdudeamon

## pdudaemon 1.1.0

=== debian/changelog ===
pdudaemon (1.1.0-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.
    + d/control: B-d on pysnmp4 from backports

 -- Christopher Obbard <obbardc@debian.org>  Tue, 24 Feb 2026 19:31:29 +0000

pdudaemon (1.1.0-1) unstable; urgency=medium

  * New upstream version 1.1.0 (Closes: #1127864)
  * d/control: Add python3-pytest-asyncio to B-d
  * d/control: Format with wrap-and-sort
  * d/control: Add myself to uploaders
  * d/control: Update Vcs-* to point to salsa.d.o
  * d/control: Change maintainer to Python team
  * d/control: Bump Standards-version to 4.7.3

 -- Christopher Obbard <obbardc@debian.org>  Thu, 19 Feb 2026 10:54:17 +0000

=== debian/control ===
Source: pdudaemon
Section: net
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Matt Hart <matt@mattface.com>,
 Sjoerd Simons <sjoerd@debian.org>,
 Christopher Obbard <obbardc@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 pybuild-plugin-pyproject,
 python3,
 python3-aiohttp,
 python3-all,
 python3-hid,
 python3-paramiko,
 python3-pexpect,
 python3-pymodbus,
 python3-pysnmp4 (>= 7.1.21-2~),
 python3-pytest,
 python3-pytest-asyncio,
 python3-pytest-mock,
 python3-requests,
 python3-serial,
 python3-serial-asyncio,
 python3-setuptools,
 python3-systemd,
 python3-usb,
Standards-Version: 4.7.3
Homepage: http://github.com/pdudaemon
Vcs-Git: https://salsa.debian.org/python-team/packages/pdudaemon.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pdudaemon

Package: pdudaemon
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 openssh-client,
 telnet | telnet-client,
Description: daemon for controlling PDUs
 Pdudaemon provides a standard way of controlling power controllers,
 which can either be local devices or networked PDUs. On top of that it ensures
 the control commands to the PDU are executed sequentially to avoid issues with
 many PDUs in handling multiple parallel requests.
 .
 This package provides the daemon

Package: pdudaemon-client
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 lavapdu-client,
Multi-Arch: foreign
Description: client for pdudaemon
 Pdudaemon provides a standard way of controlling power controllers,
 which can either be local devices or networked PDUs. On top of that it ensures
 the control commands to the PDU are executed sequentially to avoid issues with
 many PDUs in handling multiple parallel requests.
 .
 This package provides the client
